task rmats {
    String sample_id
    File b1_txt_file
    Array[Array[File]] b1_txt = read_csv(b1_txt_file)
    File b2_txt_file
    Array[Array[File]] b2_txt = read_csv(b2_txt_file)
    File reference_gtf_file
    

    String docker
    String cluster
    String disk_size


    
    command <<<
        set -o pipefail
        set -e

        mkdir -p ${sample_id}/output
        mkdir -p ${sample_id}/tmp_output
        python /usr/local/bin/rmats.py --b1 ${b1_txt} \
            --b2 ${b2_txt} \
            --gtf ${reference_gtf_file} \
            -t paired \
            --readLength 150 \
            --nthread 4 \
            --od ${sample_id}/output \
            --tmp ${sample_id}/tmp_output
                  
        find . -depth > fileList.txt
    >>>

    runtime {
        docker: docker
        cluster: cluster
        systemDisk: "cloud_ssd 40"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
         File fileList = "fileList.txt"
         Array[File] AS_txt = glob("${sample_id}/output/*.txt")
         Array[File] tmp = glob("${sample_id}/output/tmp/*")
    }
}

